<?php

//die('Что-то тут не так...');

function getIP() {
   if(isset($_SERVER['HTTP_X_REAL_IP'])) return $_SERVER['HTTP_X_REAL_IP'];
   return $_SERVER['REMOTE_ADDR'];
}

# Получаем IP
function getIPblock() {
   if(isset($_SERVER['HTTP_X_REAL_IP'])) return $_SERVER['HTTP_X_REAL_IP'];
   return $_SERVER['REMOTE_ADDR'];
}

# Выполняем проверку безопасности. 

//if( $_SERVER['HTTP_CF_CONNECTING_IP'] != $_SERVER['SERVER_ADDR'] && $_SERVER['HTTP_CF_CONNECTING_IP'] != '127.0.0.1' ) {	die('Hello pussy!');   }
if(getIPblock() != $_SERVER['SERVER_ADDR'] && getIPblock() != '127.0.0.1' && getIPblock() != '' && getIPblock() != '31.131.97.206') {
	die(getIPblock().'<br>'.$_SERVER['SERVER_ADDR']);
}

define('GAME',true);

include('_incl_data/__config.php');
include('_incl_data/class/__db_connect.php');
include('_incl_data/class/__user.php');

function e($t) {
	mysql_query('INSERT INTO `chat` (`text`,`city`,`to`,`type`,`new`,`time`) VALUES ("core #'.date('d.m.Y').' %'.date('H:i:s').' (Критическая ошибка): <b>'.mysql_real_escape_string($t).'</b>","capitalcity","LEL","6","1","-1")');
}

$sp = mysql_query('SELECT `u`.*,`s`.*,`u`.`id`,`s`.`id` FROM `users` AS `u` LEFT JOIN `stats` AS `s` ON ( `s`.`id` = `u`.`id` AND `s`.`bot` = 0 ) WHERE `login` = "Crowley"');
	while($pl = mysql_fetch_array($sp)) {
		if($pl['inUser'] > 0 && $pl['inTurnir'] > 0 ) {
	$txt = '<font color=red>Внимание!</font><b><font color=darkgreen><u>Все подземелья закрыты, начинается мясорубка!</u></font></b>';
	mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`typeTime`) VALUES (1,'".$u->info['city']."','".$u->info['room']."','','','".$txt."','".time()."','6','0','1')");
		}
		if($pl['dnow'] > 0 ) {
			//сохраняем координаты и пещеру в которой был до мясорубки
			mysql_query('INSERT INTO `save_dungeon` (`x`,`y`,`dnow`,`time`,`uid`) VALUES ("'.$pl['x'].'","'.$pl['y'].'","'.$pl['dnow'].'","'.time().'","'.$pl['id'].'")');
			//
		mysql_query('UPDATE `stats` SET `dnow` = "0" WHERE `id` = "'.$pl['id'].'"');
		mysql_query('UPDATE `users` SET `room` = "9",`battle` = "0" WHERE `id` = "'.$pl['id'].'"');
		//удаляем эффекты и  поединки
		mysql_query('DELETE FROM `eff_users` WHERE `uid` = "'.$pl['id'].'" AND `v1` = "priem" AND `delete` = "0"');
		mysql_query('DELETE FROM `battle` WHERE `id` = "'.$pl['battle'].'"');
		mysql_query('DELETE FROM `battle_act` WHERE `battle` = "'.$pl['battle'].'"');
		mysql_query('DELETE FROM `battle_actions` WHERE `btl` = "'.$pl['battle'].'" AND `uid` = "'.$pl['id'].'"');
		mysql_query('DELETE FROM `battle_end` WHERE `battle_id` = "'.$pl['battle'].'"');
		mysql_query('DELETE FROM `battle_last` WHERE `battle_id` = "'.$pl['battle'].'"');
		mysql_query('DELETE FROM `battle_logs` WHERE `battle` = "'.$pl['battle'].'"');
		mysql_query('DELETE FROM `battle_out` WHERE `battle` = "'.$pl['battle'].'"');
		mysql_query('DELETE FROM `battle_stat` WHERE `battle` = "'.$pl['battle'].'"');
		mysql_query('DELETE FROM `battle_users` WHERE `battle` = "'.$pl['battle'].'"');
		}else{
			$txt = '<font color=red><b>Внимание!</b></font><font color=darkgreen><b> Все подземелья закрыты с 22:00 до 00:00! Получаемый опыт на Центральной площади +100%, в Хаотичных поединках, победителей ждет хорошая награда!';
	mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`typeTime`) VALUES (1,'".$pl['city']."','','','','".$txt."','".time()."','6','0','1')");
	}
}
?>